using Edu.Common.Enum.User;
using System;
using VT.FW.DB;

namespace Edu.Model.Entity.User
{

    /// <summary>
	/// rb_workflow_signin:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class Rb_Workflow_SignIn
    {

        /// <summary>
        /// Id
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 签到者
        /// </summary>      
        public int? EmployeeId
        {
            get;
            set;
        }
        /// <summary>
        /// 签到时间
        /// </summary>     
        public DateTime? SignInTime
        {
            get;
            set;
        }
        /// <summary>
        /// 图片
        /// </summary>        
        public string Image
        {
            get;
            set;
        }
        /// <summary>
        /// 签到地点
        /// </summary>          
        public string Address
        {
            get;
            set;
        }
        /// <summary>
        /// 签到坐标
        /// </summary>    
        public string MapCoordinate
        {
            get;
            set;
        }
        /// <summary>
        /// 备注
        /// </summary>       
        public string Remarks
        {
            get;
            set;
        }
        /// <summary>
        /// 所属集团
        /// </summary>        
        public int? RB_GroupId
        {
            get;
            set;
        }
        /// <summary>
        /// 所属公司
        /// </summary>        
        public int? RB_BranchId
        {
            get;
            set;
        }
    }
}